# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=bison
pkgver=3.8.2
pkgrel=2
pkgdesc="The GNU general-purpose parser generator"
arch=('x86_64')
url="https://www.gnu.org/software/bison/bison.html"
license=('GPL3')
groups=('base-devel')
depends=('glibc' 'm4' 'bash' 'gettext')
source=(https://ftp.gnu.org/gnu/bison/${pkgname}-${pkgver}.tar.xz)
sha256sums=(9bba0214ccf7f1079c5d59210045227bcf619519840ebfa80cd3849cff5a5bf2)

build() {
    cd ${pkgname}-${pkgver}

    CFLAGS+=' -ffat-lto-objects' \
    ${configure} --datadir=/usr/share

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
